Bug 1722841 - [RFE]Disable directory listing for /pub directory on satellite 6 capsule using custom-hiera
Summary: [RFE]Disable directory listing for /pub directory on satellite 6 capsule usin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-21 13:12 UTC by Victor Hernando
Modified: 2020-07-20 16:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27689 Normal Closed Make directory options for /pub directory on content proxies customizable 2020-11-09 01:38:59 UTC
Red Hat Knowledge Base (Solution) 5236261 None None None 2020-07-20 16:40:20 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:59 UTC

Description Victor Hernando 2019-06-21 13:12:14 UTC
1. Proposed title of this feature request
Disable directory listing for /pub directory on satellite Capsule 6 using custom-hiera.

The same for the Satellite Server was addressed in the following RFE:
https://bugzilla.redhat.com/show_bug.cgi?id=1489244
This time would be necessary to do the same for the Capsule server.


3. What is the nature and description of the request?
Our internal vulnerability compliance program is detecting that the /pub directory has Indexes enabled, which can lead to other security issues.   We are required to remediate this issue (on port 80 and 443) in order to be complaint with our Information Security policies.



4. Why does the customer need this? (List the business requirements here)
Web Directories Listable -- The Web server has some listable directories. Very sensitive information can be obtained from directory listings.	A remote user may exploit this vulnerability to obtain very sensitive information on the host. The information obtained may assist in further attacks against the host.	Disable directory browsing or listing for all directories.



5. How would the customer like to achieve this? (List the functional requirements here)
using custom-hiera.yaml 


7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No


8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
Satellite 6.3, 6.4 & 6.5

9. Is the sales team involved in this request and do they have any additional input?
No

10. List any affected packages or components.
Installer,Apache 

11. Would the customer be able to assist in testing this functionality if implemented?
Yes

Comment 4 Ewoud Kohl van Wijngaarden 2019-08-22 21:25:01 UTC
Created redmine issue https://projects.theforeman.org/issues/27689 from this bug

Comment 5 Bryan Kearney 2019-08-22 22:01:24 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27689 has been resolved.

Comment 11 Devendra Singh 2020-02-04 14:05:51 UTC
Build Version: 6.7 Snap10

Verified successfully on the capsule server, Accessing the https://<capserver>/pub & http://<capserver>/pub using a web browser and it returns forbidden.
Files of the pub directory are still downloadable if the user knows their path and name.

Comment 14 errata-xmlrpc 2020-04-14 13:24:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.